> ## Documentation Index
> Fetch the complete documentation index at: https://bmpdocs.moneyp.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# 7 - Consultar Proposta

Por meio deste endpoint o parceiro consulta todas as informações de uma operação, independente do status dela e do tempo de inclusão no sistema.


## OpenAPI

````yaml post /FGTS/ConsultaProposta
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.FGTS.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br
security:
  - Bearer: []
paths:
  /FGTS/ConsultaProposta:
    post:
      tags:
        - FGTS
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaCommand'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
            text/json:
              schema:
                $ref: '#/components/schemas/ResponseBase'
components:
  schemas:
    FGTSSaqAnivConsultaDadosPropostaCommand:
      type: object
      properties:
        dto:
          $ref: '#/components/schemas/FGTSSaqAnivConsultaDadosPropostaDTO'
      additionalProperties: false
    FGTSSaqAnivConsultaDadosPropostaResponse:
      type: object
      properties:
        Msg:
          type: string
          nullable: true
        Result:
          type: boolean
          writeOnly: true
        HasError:
          type: boolean
        Messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        Codigo:
          type: string
          format: uuid
        DtInclusao:
          type: string
          nullable: true
        Situacao:
          type: integer
          format: int32
        VlrFinanciado:
          type: number
          format: double
          nullable: true
        QtdeParcelas:
          type: integer
          format: int32
          nullable: true
        VlrTAC:
          type: number
          format: double
          nullable: true
        VlrSeguro:
          type: number
          format: double
          nullable: true
        VlrIOF:
          type: number
          format: double
          nullable: true
        VlrOutrasDespesas:
          type: number
          format: double
          nullable: true
        VlrOutrosServicos:
          type: number
          format: double
          nullable: true
        VlrTotalCredito:
          type: number
          format: double
          nullable: true
        VlrTotalDivida:
          type: number
          format: double
          nullable: true
        PercCETMensal:
          type: number
          format: double
          nullable: true
        PercCETAnual:
          type: number
          format: double
          nullable: true
        PercJurosMensal:
          type: number
          format: double
          nullable: true
        PercJurosAnual:
          type: number
          format: double
          nullable: true
        CodigoProposta:
          type: string
          nullable: true
        NumeroCCB:
          type: string
          nullable: true
        MotivoRejeicao:
          type: string
          nullable: true
        MotivoPendencia:
          type: string
          nullable: true
        MotivoCancelamento:
          type: string
          nullable: true
        TextoRetornoPagamento:
          type: string
          nullable: true
        AutenticacaoBancaria:
          type: string
          nullable: true
        ControleBancario:
          type: string
          nullable: true
        StatusProtocoloCEF:
          type: string
          nullable: true
        PropostaLancamentos:
          type: array
          items:
            $ref: '#/components/schemas/FGTSSaqAnivPropostaLancamento'
          nullable: true
        CancelamentoFGTS:
          type: array
          items:
            $ref: '#/components/schemas/FGTSSaqAnivCancelamento'
          nullable: true
      additionalProperties: false
    ResponseBase:
      type: object
      properties:
        Msg:
          type: string
          nullable: true
        Result:
          type: boolean
          writeOnly: true
        HasError:
          type: boolean
        Messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
      additionalProperties: false
    FGTSSaqAnivConsultaDadosPropostaDTO:
      required:
        - CodigoProposta
      type: object
      properties:
        CodigoOperacao:
          type: string
          description: Código operação
          nullable: true
        CodigoProposta:
          type: string
          description: Código da proposta
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        MessageType:
          $ref: '#/components/schemas/ErrorType'
        Code:
          type: string
          nullable: true
        Context:
          type: string
          nullable: true
        Description:
          type: string
          nullable: true
        Field:
          type: string
          nullable: true
      additionalProperties: false
    FGTSSaqAnivPropostaLancamento:
      type: object
      properties:
        CampoID:
          type: string
          nullable: true
        DescricaoCampo:
          type: string
          nullable: true
        VlrTransacao:
          type: number
          format: double
          nullable: true
        DtPrevPagto:
          type: string
          format: date-time
          nullable: true
        DtPagamento:
          type: string
          format: date-time
          nullable: true
        Situacao:
          type: integer
          format: int32
          nullable: true
        LinhaDigitavel:
          type: string
          nullable: true
        DtVenctoBoleto:
          type: string
          format: date-time
          nullable: true
        VlrBoleto:
          type: number
          format: double
          nullable: true
        CodigoBanco:
          type: integer
          format: int32
          nullable: true
        NumeroBanco:
          type: string
          nullable: true
        TipoConta:
          type: integer
          format: int32
          nullable: true
        Agencia:
          type: string
          nullable: true
        AgenciaDig:
          type: string
          nullable: true
        Conta:
          type: string
          nullable: true
        ContaDig:
          type: string
          nullable: true
        DocumentoFederal:
          type: string
          nullable: true
        NomePagamento:
          type: string
          nullable: true
        TextoRetornoPagamento:
          type: string
          nullable: true
        AutenticacaoBancaria:
          type: string
          nullable: true
        ControleBancario:
          type: string
          nullable: true
        DescricaoOcorrencia:
          type: string
          nullable: true
      additionalProperties: false
    FGTSSaqAnivCancelamento:
      type: object
      properties:
        Detalhes:
          type: string
          nullable: true
        ContextoEvento:
          type: string
          nullable: true
        TipoEvento:
          type: integer
          format: int32
          nullable: true
        NomeEvento:
          type: string
          nullable: true
        DtEvento:
          type: string
          nullable: true
        NumCodigoBarras:
          type: string
          nullable: true
        NumLinhaDigitavel:
          type: string
          nullable: true
        PixCopiaCola:
          type: string
          nullable: true
        VlrBoleto:
          type: number
          format: double
          nullable: true
        DtVencimento:
          type: string
          format: date-time
          nullable: true
        NumeroBoleto:
          type: integer
          format: int64
          nullable: true
        UrlImpressaoBoleto:
          type: string
          nullable: true
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````